com.independentsoft.exchange

## Class TimeZone

- java.lang.Object
- - com.independentsoft.exchange.TimeZone

-     public class TimeZone
      extends java.lang.Object

  Represents the time zone of the location where the meeting is hosted.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeZone()` Initializes a new instance of the TimeZone class.
    `TimeZone(Duration offset)` Initializes a new instance of the TimeZone class.
    `TimeZone(Duration offset, java.lang.String name)` Initializes a new instance of the TimeZone class.
    `TimeZone(Duration offset, java.lang.String name, TimeChange standardTime, TimeChange daylightTime)` Initializes a new instance of the TimeZone class.
    `TimeZone(Duration offset, TimeChange standardTime, TimeChange daylightTime)` Initializes a new instance of the TimeZone class.
    `TimeZone(int offsetHours)` Initializes a new instance of the TimeZone class.
    `TimeZone(int offsetHours, int offsetMinutes)` Initializes a new instance of the TimeZone class.
    `TimeZone(StandardTimeZone standardTimeZone)` Initializes a new instance of the TimeZone class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimeChange` | `getDaylightTime()` Gets the date and time when the time changes from daylight saving time to standard time.
    `java.lang.String` | `getName()` Gets the name of the time zone.
    `Duration` | `getOffset()` Gets the hourly offset from UTC for the current time zone.
    `TimeChange` | `getStandardTime()` Gets the date and time when the time changes from daylight saving time to standard time.
    `void` | `setDaylightTime(TimeChange daylightTime)` Sets the date and time when the time changes from daylight saving time to standard time.
    `void` | `setName(java.lang.String name)` Sets the name of the time zone.
    `void` | `setOffset(Duration offset)` Sets the hourly offset from UTC for the current time zone.
    `void` | `setStandardTime(TimeChange standardTime)` Sets the date and time when the time changes from daylight saving time to standard time.
    `java.lang.String` | `toString()` Converts the value of the current TimeZone object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeZone

          public TimeZone()

      Initializes a new instance of the TimeZone class.

    - #### TimeZone

          public TimeZone(StandardTimeZone standardTimeZone)

      Initializes a new instance of the TimeZone class.
      Parameters:
        `standardTimeZone` - the standard time zone

    - #### TimeZone

          public TimeZone(int offsetHours)

      Initializes a new instance of the TimeZone class.
      Parameters:
        `offsetHours` - the offset hours

    - #### TimeZone

          public TimeZone(int offsetHours,
                          int offsetMinutes)

      Initializes a new instance of the TimeZone class.
      Parameters:
        `offsetHours` - the offset hours
        `offsetMinutes` - the offset minutes

    - #### TimeZone

          public TimeZone(Duration offset)

      Initializes a new instance of the TimeZone class.
      Parameters:
        `offset` - the offset

    - #### TimeZone

          public TimeZone(Duration offset,
                          java.lang.String name)

      Initializes a new instance of the TimeZone class.
      Parameters:
        `offset` - the offset
        `name` - the name

    - #### TimeZone

          public TimeZone(Duration offset,
                          TimeChange standardTime,
                          TimeChange daylightTime)

      Initializes a new instance of the TimeZone class.
      Parameters:
        `offset` - the offset
        `standardTime` - the standard time
        `daylightTime` - the daylight time

    - #### TimeZone

          public TimeZone(Duration offset,
                          java.lang.String name,
                          TimeChange standardTime,
                          TimeChange daylightTime)

      Initializes a new instance of the TimeZone class.
      Parameters:
        `offset` - the offset
        `name` - the name
        `standardTime` - the standard time
        `daylightTime` - the daylight time

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current TimeZone object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getName

          public java.lang.String getName()

      Gets the name of the time zone.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the time zone.
      Parameters:
        `name` - the new name

    - #### getOffset

          public Duration getOffset()

      Gets the hourly offset from UTC for the current time zone.
      Returns:
        the offset

    - #### setOffset

          public void setOffset(Duration offset)

      Sets the hourly offset from UTC for the current time zone.
      Parameters:
        `offset` - the new offset

    - #### getStandardTime

          public TimeChange getStandardTime()

      Gets the date and time when the time changes from daylight saving time to standard time.
      Returns:
        the standard time

    - #### setStandardTime

          public void setStandardTime(TimeChange standardTime)

      Sets the date and time when the time changes from daylight saving time to standard time.
      Parameters:
        `standardTime` - the new standard time

    - #### getDaylightTime

          public TimeChange getDaylightTime()

      Gets the date and time when the time changes from daylight saving time to standard time.
      Returns:
        the daylight time

    - #### setDaylightTime

          public void setDaylightTime(TimeChange daylightTime)

      Sets the date and time when the time changes from daylight saving time to standard time.
      Parameters:
        `daylightTime` - the new daylight time